<?php
namespace Claromentis\Mailgun\Model;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_d8e7d601" . "8547d8c10" . "e1de2e6a8" . "aa6858" => base64_decode("Zndy" . "aXRl"), "_aed8da0f1909121" . "4b78f80351048517" . "c" => base64_decode("c3R" . "ybG" . "Vu"));
use Claromentis\Core\Mail\Receive\Contract\MailAttachment;




class MailgunAttachmentString implements MailAttachment
{
    protected $name;
    protected $content;
    
    
    
    
    
    public function __construct(string $name, string $_24ca62b4d01cc6d515dfd0bea4c9d59a)
    {
        $this->name = $name;
        $this->content = $_24ca62b4d01cc6d515dfd0bea4c9d59a;
    }
    
    
    
    
    public function GetName() : string
    {
        return $this->name;
    }
    
    
    
    
    
    
    public function GetSize() : int
    {
        return $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_aed8da0f190912" . "14b78f803510485" . "17c"]($this->content);
    }
    
    
    
    
    
    
    
    
    public function SaveToStream($_1cc5aa2f679b575f82786a73f0da28f8) : int
    {
        return (int) $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_d8e7d6018547d8c10e1de2e6a8aa68" . "58"]($_1cc5aa2f679b575f82786a73f0da28f8, $this->content);
    }
}